## python-pydap 3.2.2+ds1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Pydap.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Pydap.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## python-pydap 3.2.1

=== debian/changelog ===
python-pydap (3.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #849477)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 06 Apr 2017 17:23:06 +0100

=== debian/control ===
Source: python-pydap
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-bs4 <!nocheck>,
               python3-coards <!nocheck>,
               python3-docopt <!nocheck>,
               python3-gsw <!nocheck>,
               python3-gunicorn <!nocheck>,
               python3-jinja2 <!nocheck>,
               python3-mechanicalsoup <!nocheck>,
               python3-nose <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pygments <!nodoc>,
               python3-requests <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-six (>= 1.4.0) <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-webob <!nocheck>,
               python3-webtest <!nocheck>,
               sphinx-common
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-pydap.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-pydap.git
Homepage: http://www.pydap.org/
X-Python3-Version: >= 3.5

Package: python3-pydap
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
          python3-coards,
          python3-gsw,
          python3-gunicorn,
          python3-requests,
          python3-scipy
Suggests: python-pydap-doc <!nodoc>
Description: implementation of the Data Access Protocol in Python
 Pydap is an implementation of the Opendap/DODS protocol, written from scratch.
 You can use Pydap to access scientific data on the internet without having to
 download it; instead, you work with special array and iterable objects that
 download data on-the-fly as necessary, saving bandwidth and time. The module
 also comes with a robust-but-lightweight Opendap server, implemented as a WSGI
 application.
 .
 This package provides the modules for Python 3.

Package: python-pydap-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for pydap
 Pydap is an implementation of the Opendap/DODS protocol, written from scratch.
 You can use Pydap to access scientific data on the internet without having to
 download it; instead, you work with special array and iterable objects that
 download data on-the-fly as necessary, saving bandwidth and time. The module
 also comes with a robust-but-lightweight Opendap server, implemented as a WSGI
 application.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = pydap
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE = test
else
export PYBUILD_BEFORE_TEST = cp -r {dir}/src/*.egg-info {build_dir}
export PYBUILD_TEST_ARGS = -a "!auth"
export PYBUILD_AFTER_TEST = rm -rf {build_dir}/*.egg-info
endif

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR)/src $(MAKE) -C docs html
endif

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r ./src/pydap/tests/* "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m nose -v -a "!auth"
 ; done
Depends: python3-all,
         python3-bs4,
         python3-nose,
         python3-pydap,
         python3-requests,
         python3-webtest
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Pydap/Pydap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pydap 3.2.2+ds1

=== debian/changelog ===
python-pydap (3.2.2+ds1-1ubuntu1) bionic; urgency=medium

  * Skip test that assume 64bit little endian architecture.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 04 Feb 2018 21:46:00 +0000

python-pydap (3.2.2+ds1-1) unstable; urgency=medium

  * Upgrade watch file to version 4
  * Exclude HTML docs from the upstream tarball
  * New upstream version 3.2.2+ds1
  * Add missing nodoc guard in rules
  * Move extend-diff-ignore to options
  * Add new dependency on netCDF4
  * Update the tests based on upstream changes
    - Switch from nose to pytest
    - Add new dependency on requests-mock
    - Drop the allow-stderr restriction, no longer required

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 02 Jun 2017 12:03:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-pydap
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
@@ -14,12 +15,14 @@
                python3-gunicorn <!nocheck>,
                python3-jinja2 <!nocheck>,
                python3-mechanicalsoup <!nocheck>,
-               python3-nose <!nocheck>,
+               python3-netcdf4 <!nocheck>,
                python3-numpy <!nocheck>,
                python3-pygments <!nodoc>,
+               python3-pytest <!nocheck>,
                python3-requests <!nocheck>,
+               python3-requests-mock <!nocheck>,
+               python3-setuptools,
                python3-scipy <!nocheck>,
-               python3-setuptools,
                python3-six (>= 1.4.0) <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
@@ -39,6 +42,7 @@
           python3-coards,
           python3-gsw,
           python3-gunicorn,
+          python3-netcdf4,
           python3-requests,
           python3-scipy
 Suggests: python-pydap-doc <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_DISABLE = test
 else
 export PYBUILD_BEFORE_TEST = cp -r {dir}/src/*.egg-info {build_dir}
-export PYBUILD_TEST_ARGS = -a "!auth"
+export PYBUILD_TEST_ARGS = -k "not server"
 export PYBUILD_AFTER_TEST = rm -rf {build_dir}/*.egg-info
 endif
 
@@ -17,7 +17,9 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	$(MAKE) -C docs clean
+endif
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r src/pydap/tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v -k "not server"
 ; done
Depends: python3-all,
         python3-bs4,
         python3-pydap,
         python3-pytest,
         python3-requests,
         python3-requests-mock,
         python3-webtest

=== debian/watch ===
version=4
opts=repacksuffix=+ds1,\
dversionmangle=s/\+ds(\d+)?$//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Pydap/Pydap@ANY_VERSION@@ARCHIVE_EXT@
